# BEGIN ISSPROF: preparation of environment for the Service Profiler
###################################################################
   ISSPROF_PrepareScript="$IS_DIR/serviceprofiler/bin/prepare.sh"
   ISSPROF_UpdatesScript="$IS_DIR/packages/WiaServiceProfiler/config/updates/install.sh"

   if [ ! -f ISSPROF_VOID ]; then
      if [ -f "${ISSPROF_UpdatesScript}" ]; then
         if [ ! -x "${ISSPROF_UpdatesScript}" ]; then
             chmod +x "${ISSPROF_UpdatesScript}"
         fi
         "${ISSPROF_UpdatesScript}" "$IS_DIR"
      fi
      if [ -f "${ISSPROF_PrepareScript}" ]; then
         if [ ! -x "${ISSPROF_PrepareScript}" ]; then
             chmod +x "${ISSPROF_PrepareScript}"
         fi
         ISSPROF_VARS=`"${ISSPROF_PrepareScript}" "$JAVA_DIR" "$IS_DIR"`
         if [ $? -eq 0 ]; then

            # get variables
            ISSPROF_VARS=`echo "${ISSPROF_VARS}" | sed -n 's/^RESULT: //p'`
            eval `echo "${ISSPROF_VARS}" | cut -f1`
            eval `echo "${ISSPROF_VARS}" | cut -f2`
            eval `echo "${ISSPROF_VARS}" | cut -f3`
            unset ISSPROF_VARS

            # add to LIB path
            LD_LIBRARY_PATH=${ISSPROF_LIB}:${LD_LIBRARY_PATH}
            SHLIB_PATH=${ISSPROF_LIB}:${SHLIB_PATH}
            LIBPATH=${ISSPROF_LIB}:${LIBPATH}

            # Mac OS X specific
            DYLD_LIBRARY_PATH=${ISSPROF_LIB}:${DYLD_LIBRARY_PATH}
            export DYLD_LIBRARY_PATH

            # add to JVM options
            JAVA_RUN="${JAVA_RUN} ${ISSPROF_JVM}"

            # add to CLASSPATH
            if [ ! -z "$ISSPROF_CP" ]; then
               CLASSPATH="$ISSPROF_CP:$CLASSPATH"
            fi

            # cleanup
            unset ISSPROF_JVM
            unset ISSPROF_LIB
            unset ISSPROF_CP
         else
            echo "Service Profiler: Preparation failed with error code: $?"
         fi
      fi
   else
      if [ -f "${ISSPROF_PrepareScript}" ]; then
         "${ISSPROF_PrepareScript}" "$JAVA_DIR" "$IS_DIR" VOID
      fi
   fi

   unset ISSPROF_PrepareScript
###################################################################
# END ISSPROF: preparation of environment for the Service Profiler
